---
search:
  tags:
    - Webhook Deliveries
    - GET
seo:
  description: >-
    Returns 404 after the delivery retention window has elapsed. Reference for
    the GET /api/v1/webhook-deliveries/{id} endpoint in the torqee Connect API.
sidebar:
  label: Get webhook delivery attempts
  badge: GET
title: Get webhook delivery attempts
type: openapi-operation
---
Returns 404 after the delivery retention window has elapsed.

`GET /api/v1/webhook-deliveries/{id}`

**Responses**

- `200` — Delivery and attempts
- `401` — Missing or invalid credentials
- `403` — Membership revoked or insufficient scope
- `404` — Delivery not found or no longer retained
- `500` — Unexpected server error
- `503` — Delivery history unavailable

Response example, 200:

```json
{
  "id": "string",
  "eventId": "string",
  "eventType": "session.created",
  "endpointId": "string",
  "endpointName": "string",
  "endpointUrl": "http://example.com",
  "kind": "event",
  "status": "pending",
  "attemptCount": 0,
  "lastHttpStatus": 100,
  "nextAttemptAt": "2019-08-24T14:15:22Z",
  "terminalAt": "2019-08-24T14:15:22Z",
  "stopReason": "installation_unauthorized",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "attempts": [
    {
      "attemptNumber": 1,
      "startedAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z",
      "httpStatus": 100,
      "durationMs": 0,
      "error": "network_error"
    }
  ]
}
```
